#include "defines.h"
#include "acash.h"

int cash2_fgetc(CFILE *fp)
/* ミニ キャッシュ２:fgetc */
{
	if (!fp->cflag) return(fgetc(fp->cfp));
	
	/* １バイト読み出し */
	return(fp->cseek==fp->csize? EOF:fp->cbuff[fp->cseek++]);
}
